Subject: RE: Reigistry for tv:URI's

From: "Deventer, M.O. \(Oskar\) van" <[email-masked]>
Date: Tue, 3 Oct 2006 11:00:32 +0200

Dear Eliot,

> FCC CDBS database ...
> ... available via OFCOM ...
> Is this something you will take advantage of?
What we would like to have is a registry that associates identifying
information with tv:URIs. As such, information from the databases that
you mentioned could be useful:
1) When registring a TV broadcast, there should be proof that the TV
broadcast exists. Info in the FCC database could serve as such a proof. 
2) Moreover, the tv:URI registration could include a reference to that
info in the FCC (or OFCOM) databases.

Note that we also want to include TV broadcasts that are not associated
to terrestrial frequencies, e.g. cable TV, satellite TV and IPTV.

Oskar

-----Original Message-----
From: Eliot Lear [mailto:[email-masked]] 
Sent: maandag 2 oktober 2006 16:14
To: Deventer, M.O. (Oskar) van
Cc: [email-masked]; Keesmaat, N.W. (Iko); Zigmond, Dan
Subject: Re: Reigistry for tv:URI's

Dear Mr. Deventer,

I read your message and while I haven't thought much about the problem
space, I do know that there is a tremendous amount of information in
national databases already.  For instance, you can access engineering
data such as frequency reach via the FCC CDBS database.  Similar
information seems to be available via OFCOM in the UK, and I presume it
will be available in many other countries.  Is this something you will
take advantage of?

Eliot

Deventer, M.O. (Oskar) van wrote:
> All,
>
> In the tv:URI discussions on this mailing list, the creation of a
> registry was gently suggested by several people. I am now starting to
> believe this is the only way to really cut down ambiguity. So I would
> like to focus the discussion on the creation of such a registry.
>
> This also means that I am withdrawing my suggestions to modify the
> tv:URI syntax, or making links between tv:URI's and the "official"
> webpage of a TV channel. So for the scope of the registry discussion,
> we'll be talking about tv:URI's that refer purely to TV channels and
> that are pure DNS-style identifiers, as described in RFC2838
>
> I think the following questions are relevant:
> 1) Do we need a registry and why?
> 2) How should such a registry be organized?
> 3) What type of information should be registered?
> 4) How are registrations created, read, updated, and deleted (CRUD)?
> 5) What is the relationship with existing registries?
>      -... in particular with the DNS registry.
>
> Here are my provisional answers for your review.
>
> Ad 1) Yes, we do need a registry. This is the only way to really cut
> down ambiguity in referring to TV channels.
>
> Ad 2) The responsibility of the registry would reside with ICANN.
ICANN
> would delegate the technical work to a third party. An example of such
a
> delegation is User ENUM, for which ICANN has delegated the e164.arpa
> root to RIPE.
>
> Ad 3) The registry will contain a list of unique tv:URI's, to each
entry
> information is associated on the TV broadcast that it identifies, like
> broadcaster, language(s), geographic reach and other. The registry
will
> serve two purposes.
> -Identification: learning which TV broadcast is identified by a
specific
> tv:URI.
> -Search: finding the tv:URI of a specific TV broadcast.
>
> Ad 4) Any person or organization can "nominate" a TV broadcast for
> registration. This person or organization should provide evidence that
> the TV broadcast exists and that it has not been previously
registered.
> The registry will subsequently assign a tv:URI to the broadcast
> following the RFC2838 guidelines.
>
> Ad 5) The relationship with the DNS registry will be as described in
> RFC2838. That is, DNS-style domain name syntax is used to identify a
> broadcast. Further then this syntactic relation we do not foresee any
> relation with the DNS. Note that this implies - as already stated in
> RFC2838 - that it is not the intention that tv:URI's are resolved
> through the DNS.
>
> Please let me know your reactions on these thoughts.
>
> Best regards,
>
> Oskar van Deventer & Iko Keesmaat
>
> --------------------------------
> dr.ir. M. Oskar van Deventer
> TNO Information and Communication Technology
> P.O. box 5050
> 2600 GB  Delft
> Netherlands
> +31 651 914 918
> [email-masked]
> --------------------------------
> Connecting to a TNO colleague? Call +31 15 285 75 75
>
> This e-mail and its contents are subject to the DISCLAIMER at
http://www.tno.nl/disclaimer/email.html

This e-mail and its contents are subject to the DISCLAIMER at http://www.tno.nl/disclaimer/email.html